import { Meta, Story, Props, Preview } from '@storybook/addon-docs/blocks';
import { PropsTable } from '@storybook/components';
import { Settings } from '.';
import {Box} from 'rebass'
import {getEditProfileProps} from 'ui/mock/context'
import {Guest} from 'ui/templates/guest'

<Meta title="Pages|Settings - User" component={Settings}/>


# Settings
Let's define a story for the `Settings` page

<Preview>
  <Story name="Settings page">
    <Guest>
      <Settings {...getEditProfileProps()} />
    </Guest>
  </Story>
</Preview>
